Subject: Re: NT can't shut down a bash window?
From: [email-masked] (Larry Hall)

9 Jan 1997 07:26:04 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: John Cook <[email-masked]>, "'gnuwin32'" <[email-masked]>
Original-Sender: [email-masked]

Hi John,

I see this all the time.  I run a similar setup to you as well as
an NT 4.0 configuration and see this in both cases.  I don't think
there is any system related dependency.  Its been a while since I
looked at it but I believe the problem is bash does not respond to
the "shutdown" message sent by the system.  I suspect that this is
the case because bash does not respond to ANY Windows message,
which, at the first approximation, is exactly as it should be.  In
any case, I agree its annoying.  I have not done anything about it
yet myself but I remember reading a while back that there is a way
to make a process quietly exit after a timeout to this message.  It
may have been something I saw while looking at ExitProcess() or
something....

Larry Hall                                                      [email-masked]
RFK Partners, Inc.                      (617) 239-1053
8 Grove Street                          (617) 239-1655 - FAX
Wellesley, MA  02181  

At 08:47 PM 1/8/97 -0800, John Cook wrote:
>
>I am running GNU-Win32 beta 17 under NT-3.51 (sp4).
>For this and the prior beta's version of bash, I have
>found that when I logoff from an NT session, NT fails
>to close a bash window until I give it permission to
>end the task.  (You know, that little pop-up that says
>"This Windows application cannot respond to the End
>Task request.  It may be busy, waiting for a response
>from you, or it may have stopped executing.")
>
>This same problem occurs if I use ALT-SPACE-C to try to
>close a bash window.
>
>I have seen no one else mention this; is this a "feature"?
>
>Thanks,
>
>John Cook
>KLA Instruments
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>
>
Larry

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".